Head Blacksmith Bronk:
The fundamental characteristics of Scavengers and Artisans are that the Scavenger collects rare materials and the Artisan makes something valuable from those materials. In combat, Artisans use the golems that they construct instead of risking their own bodies. They can actually produce items during combat, and therefore are invaluable during battles.
Among Artisans, the best are selected to be Warsmiths. Warsmith is an exalted profession with manufacturing skills of the highest level -- they can even make siege golems.
Ask about changing professions to an Artisan
Return